Issue78

Title Torrent should be ordered, or rtorrent refuses to load them
Priority bug Status resolved
Superseder Nosy List poeml
Assigned To poeml Keywords torrents

Created on 2010-09-24.17:20:10 by poeml, last changed by poeml.

Messages
msg298 (view) Author: poeml Date: 2010-09-26.20:49:46
Seems to work. Closing.
msg293 (view) Author: poeml Date: 2010-09-25.03:05:56
mb makehashes needed the same adjustments:

http://svn.mirrorbrain.org/viewvc/mirrorbrain?view=revision&revision=8161
http://svn.mirrorbrain.org/viewvc/mirrorbrain?view=revision&revision=8162
msg288 (view) Author: poeml Date: 2010-09-25.02:26:58
That was
http://svn.mirrorbrain.org/viewvc/mirrorbrain?view=revision&revision=8158

Finally, the nodes key needed to be moved to the correct position.
http://svn.mirrorbrain.org/viewvc/mirrorbrain?view=revision&revision=8159

This bug should be fixed now. Needs to be verified.
msg287 (view) Author: poeml Date: 2010-09-25.02:24:14
Issue 74 was also reported in this regard (and fixed in trunk already).
msg285 (view) Author: poeml Date: 2010-09-25.02:11:56
The info dictionary should be fixed now, with this commit in trunk:
http://svn.mirrorbrain.org/viewvc/mirrorbrain?view=revision&revision=8156
msg283 (view) Author: poeml Date: 2010-09-24.17:20:10
Torrent keys should be lexicographically ordered, or rtorrent refuses to load 
them.
History
Date User Action Args
2010-09-26 20:49:46poemlsetstatus: testing -> resolved
messages: + msg298
2010-09-25 03:05:56poemlsetmessages: + msg293
2010-09-25 02:26:58poemlsetstatus: chatting -> testing
messages: + msg288
2010-09-25 02:24:14poemlsetmessages: + msg287
2010-09-25 02:11:56poemlsetstatus: unread -> chatting
messages: + msg285
2010-09-24 17:20:10poemlcreate